//We define a bunch of sounds for the train to use here that can be used by other trains to reduce datablock count


//We define a new audio type that has a longer range than the default to make the horn heard from a large distance
datablock AudioDescription(AudioLongrange3d)
{
   volume   = 2.0;
   isLooping= false;

   is3D     = true;
   ReferenceDistance= 100.0;
   MaxDistance= 300.0;
   type     = $SimAudioType;
};

//Braking sound
datablock AudioProfile(squealSound)
{
	filename = "./sound/squeal.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};

//Horn start (press LMB)
datablock AudioProfile(hornBegin)
{
	filename = "./sound/hornstart.wav";
	description = AudioLongrange3d;
	preload = true;
};

//Horn end (release LMB)
datablock AudioProfile(hornEnd)
{
	filename = "./sound/hornstop.wav";
	description = AudioLongrange3d;
	preload = true;
};


//A bunch of cruising sounds that play depending on speed (faster = higher pitch)
datablock AudioProfile(throttle0Sound)
{
	filename = "./sound/cruise0.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};

datablock AudioProfile(throttle1Sound)
{
	filename = "./sound/cruise1.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};


datablock AudioProfile(throttle2Sound)
{
	filename = "./sound/cruise2.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};


datablock AudioProfile(throttle3Sound)
{
	filename = "./sound/cruise3.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};


datablock AudioProfile(throttle4Sound)
{
	filename = "./sound/cruise4.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};


datablock AudioProfile(throttle5Sound)
{
	filename = "./sound/cruise5.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};

datablock AudioProfile(throttle6Sound)
{
	filename = "./sound/cruise6.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};

