package Mat64vehicleObjectHandling
{

    function blowHorn(%obj)
    {
	%obj.hornApplied = 1;
	%obj.playAudio(2, hornBegin);
    }

    function stopHorn(%obj)
    {
	%obj.hornApplied = 0;
	%obj.playAudio(2, hornEnd);
    }

    function serverCmdreverseMat64vehicle(%client)
    {
	%mount = %client.getcontrolobject().getObjectMount();
	%DataBlockName = Mat64vehicle.getId();

	if(isObject(%mount))
	{
	    if(%mount.getDataBlock() == %DataBlockName)
	    {
		if(isObject(%client) && !%client.player.getMountedImage(0))
		{

		    if(%mount.getControllingClient() != %client)
			return;

		    reverseVehicle(%mount);
		}
	    }
      
	    Parent::serverCmdreverseMat64vehicle(%client);
	    //Parent for other Mat64vehicle vehicles
	}
    }

    function fxDTSBrick::spawnVehicle(%brick)
    {
	%client = findclientbybl_id(%brick.stackBL_ID);
	%Mat64vehicleDBID = Mat64vehicle.getId();

	if(!$Mat64vehicleVehicle_AdminOnly || %client.isAdmin || %brick.vehicleDataBlock != %Mat64vehicleDBID)
	    parent::spawnVehicle(%brick);

	else
	    commandToClient(%client, 'centerPrint', "Spawning this vehicle is currently <color:FFFFFF>admin only.", 3);
    }


    function armor::onTrigger(%this, %obj, %triggerNum, %triggerVal)
    {

	//%mount	obj of our vehicle
	//%obj		obj of our player
	//%obj.client	client of the player

	%DataBlockName = Mat64vehicle.getId();
	%mount = %obj.getObjectMount();

	if(isObject(%mount))
	{
	    if(%mount.getDataBlock() == %DataBlockName && %triggerNum == 0 && !%mount.getControllingClient().canLeaveMat64vehicle)
	    {
		%client = %obj.client;
		if(isObject(%client) && !%client.player.getMountedImage(0))
		{

		    //Former bug: anyone in vehicle could hit horn
		    if(%mount.getControllingClient() != %obj.client)
			return;

		    if(getSimTime() - %mount.lastHornEndBlow < 430)
			return;

		    if(%triggerVal == 1)
		    {
			%mount.lastHornStartBlow = getSimTime();
		        blowHorn(%mount);
		    }

		    else if(%triggerVal == 0)
		    {			    
		        %mount.lastHornEndBlow = getSimTime();
			stopHorn(%mount);
		    }
		    return;
		}
	    }
	}
      
	Parent::onTrigger(%this,%obj,%triggerNum, %triggerVal);
    }


    function armor::onUnMount(%this, %obj, %mountedObj, %node)
    {
	%mount = %mountedObj;
	if(%mount.hornApplied == 1)
	{
	    %mount.lastHornEndBlow = getSimTime();
	    stopHorn(%mount);
	}

    	Parent::onUnMount(%this, %obj, %mountedObj, %node);
    }

};

activatepackage(Mat64vehicleObjectHandling);